[e10s] Video content is not loaded on http://edition.cnn.com/videos

RESOLVED INCOMPLETE

Status

Tech Evangelism
Desktop
RESOLVED INCOMPLETE
2 years ago
4 months ago

People

(Reporter: JuliaC, Unassigned, NeedInfo)

Tracking

({regression})

Firefox 42
regression

Firefox Tracking Flags

(e10s?, firefox48 wontfix, firefox49+ wontfix, firefox-esr45 unaffected, firefox50 wontfix, firefox51 wontfix, firefox52 wontfix, firefox-esr52 fix-optional, firefox53 fix-optional, firefox54 fix-optional, firefox55 fix-optional)

Details

(URL)

(Reporter)

Description

2 years ago
[Affected versions]:
- latest Nightly 51.0a1 (2016-08-31)
- latest Aurora 50.0a2 (2016-08-31)
- 49.0b8 build1 (20160829102229)
- 48.0.2 build1 (20160823121617)

[Affected platforms]:
- Windows 10 x64
- Mac OS X 10.10.5
- Ubuntu 14.04 x86

[Steps to reproduce]:
1. Launch Firefox
2. Assure that e10s is on
3. Go to http://edition.cnn.com/videos and choose a random video from "Videos You Should Watch" section (or wait a few seconds, the first video is automatically started)
- inspect the chosen video 
- inspect the Browser Console

[Expected result]:
- The chosen video is properly loaded and no rendering issues are encountered

[Actual result]:
- The chosen video is not loaded 
- "Video Player failed error is :TypeError: this.getDOMPlayer(...) is undefined" error is thrown in Browser Console 

[Regression range]:
- I will investigate this as soon as possible

[Additional notes]:
- Switching e10s to off state, the videos are properly loaded and no rendering issues are encountered
- I could't reproduce the issue on other sites that also use Adobe Flash plugin (www.bbc.com/news; http://www.flashgames247.com/; http://www.miniclip.com/games/en/)
Component: Audio/Video → Audio/Video: Playback

Updated

2 years ago
Duplicate of this bug: 1299793

Comment 2

2 years ago
Steps To Reproduce:
0. Always activate Flash Player and enable e10s.
1. Open http://edition.cnn.com/videos and wait for ~60seconds(depended on net speed)

Actual Results:
CNN Video would not autostart.
However, reload(F5) will start the video.

Expected Results:
CNN Video should playback automatically without reload(F5)


Regression window:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=8551c158f429&tochange=6ff483d6ba34

Suspect: 3d4f45ad3b8d	Seth Fowler — Bug 1163856 (Part 1) - Delay the image load event until the size decoder gets finalized. r=tn
Blocks: 1163856
tracking-e10s: --- → ?
Component: Audio/Video: Playback → ImageLib
Keywords: regressionwindow-wanted

Updated

2 years ago
Blocks: 516752
Flags: needinfo?(aosmond)
It is getting very late to consider a patch for 49 but if there was something very low risk we'd consider it...
status-firefox48: affected → wontfix
status-firefox49: affected → fix-optional
status-firefox49: fix-optional → affected
NI tn and seth for comment 2. Could this have caused the regression here?
Flags: needinfo?(tnikkel)
Flags: needinfo?(seth.bugzilla)
I never doubt Alice. The link between loading Flash and the load event of images is hard to imagine, perhaps there is some weird timing effect?

Comment 6

2 years ago
I'm having the same problems with cnn videos.  I run with the 64bit-PGO inbounds and started to have this problem a few days ago.  At the time I got this regression range which has a lot of patches between the bbad cset and the good one.  I don't see any of the patches in the regression range Alice came up with.


Bad
https://hg.mozilla.org/integration/mozilla-inbound/rev/fc59dbc22ff6798435a62a466d791e19f9db886c

Good
https://hg.mozilla.org/integration/mozilla-inbound/rev/22990bbee8a830115c0e4084bbd701d71391e43b

Currently I can get around the problem by turning off e10s.

Comment 7

2 years ago
(In reply to Gary [:streetwolf] from comment #6)
> I'm having the same problems with cnn videos.  I run with the 64bit-PGO
> inbounds and started to have this problem a few days ago.  At the time I got
> this regression range which has a lot of patches between the bbad cset and
> the good one.  I don't see any of the patches in the regression range Alice
> came up with.
> 
> 
> Bad
> https://hg.mozilla.org/integration/mozilla-inbound/rev/
> fc59dbc22ff6798435a62a466d791e19f9db886c
> 
> Good
> https://hg.mozilla.org/integration/mozilla-inbound/rev/
> 22990bbee8a830115c0e4084bbd701d71391e43b
> 
> Currently I can get around the problem by turning off e10s.

@:streetwolf,
According to the affected version in comment #0, your range looks like not related to this bug.
So, Please file a separate bug.

Comment 8

2 years ago
@alice... My regression range seems to be in error.  I went back about 2 weeks and have the problem.  Isn't the patch that caused this from 6/15?  If so I would think I would have encountered this problem a long time ago.  I only noticed it less than a week ago.

Comment 9

2 years ago
(In reply to Gary [:streetwolf] from comment #8)
> @alice... My regression range seems to be in error.  I went back about 2
> weeks and have the problem.  Isn't the patch that caused this from 6/15?  If
> so I would think I would have encountered this problem a long time ago.  I
> only noticed it less than a week ago.

I guess, in a recent, CNN has changed their code.
So CNN hits the old Firefox bug.
status-firefox-esr45: --- → affected
Version: Trunk → 42 Branch
status-firefox-esr45: affected → unaffected
I double checked the bisection that Alice did, I got it down to the same day as Alice, but I don't have inbound builds cached so I couldn't go any further.
Andrei, this sounds to me like the videos still work and are playable. But autoplay does not work on first page load with e10s on. Can you confirm that is true ?  If it's just autoplay, and users can still click to play the videos, I am not going to block 49 on this issue.
Flags: needinfo?(andrei.vaida)
It seems like this might be a site bug, moving to TE for diagnosis (but also looking forward to Andrei's response, because I'm not sure I can reproduce).
Component: ImageLib → Desktop
Product: Core → Tech Evangelism
Whiteboard: [needsdiagnosis]
Version: 42 Branch → Firefox 42

Comment 13

2 years ago
(In reply to Mike Taylor [:miketaylr] from comment #12)
> It seems like this might be a site bug, moving to TE for diagnosis (but also
> looking forward to Andrei's response, because I'm not sure I can reproduce).


It is affected under only e10s mode. 
So, I think this is definitely Firefox e10s BUG even if this is caused by timing bug.
I'm testing in DevEdition 50 w/ e10s enabled (which is why I'm confused).
The problem is intermittent, you might have to try a few times to see it (restarting the browser in between).

When the problem happens the only way to fix it is to reload the page. There is no way to click play, and even choosing a different video to play on the page doesn't work.
I made it so that we send the load event for images even if we haven't parsed the size of the image yet (I think this goes against spec) and that does fix the site for me. I also made it so that only the url for the poster shown before the video (http://i2.cdn.turner.com/cnnnext/dam/assets/160906111804-bog-snorkelling-2-large-169.jpg when I did it) would wait until it had the image size before sending the load event and that also showed the broken behaviour.

So I think it is something to do with the load event of the poster image.
(In reply to Timothy Nikkel (:tnikkel) from comment #16)
> I also made it so that only the url for the poster
> shown before the video
> (http://i2.cdn.turner.com/cnnnext/dam/assets/160906111804-bog-snorkelling-2-
> large-169.jpg when I did it) would wait until it had the image size before
> sending the load event and that also showed the broken behaviour.

Correction: I was special casing it based on the url length, but another image the page loads could be the cause too, the small version of the same image http://i2.cdn.turner.com/cnnnext/dam/assets/160906111804-bog-snorkelling-2-small-169.jpg
(In reply to Timothy Nikkel (:tnikkel) from comment #17)
> (In reply to Timothy Nikkel (:tnikkel) from comment #16)
> > I also made it so that only the url for the poster
> > shown before the video
> > (http://i2.cdn.turner.com/cnnnext/dam/assets/160906111804-bog-snorkelling-2-
> > large-169.jpg when I did it) would wait until it had the image size before
> > sending the load event and that also showed the broken behaviour.
> 
> Correction: I was special casing it based on the url length, but another
> image the page loads could be the cause too, the small version of the same
> image
> http://i2.cdn.turner.com/cnnnext/dam/assets/160906111804-bog-snorkelling-2-
> small-169.jpg

I mention this because the delay introduced by doing the size decode async is much more significant for the "small" image because the "small" image load is trigger via js, but the "large" image is in the original html source of the page so it's size decode happens much earlier in the page load, when there are less tasks competing for resources. I saw 17-32ms for the "large" image, and ~500ms for the "small" image.
(Reporter)

Comment 19

2 years ago
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #11)
> Andrei, this sounds to me like the videos still work and are playable. But
> autoplay does not work on first page load with e10s on. Can you confirm that
> is true ?  If it's just autoplay, and users can still click to play the
> videos, I am not going to block 49 on this issue.

I investigated again this issue on 
- 49.0 build1 (20160905130425) 
- 49.0 build2 (20160907153016) 
- 49.0b10 (20160902105049)
- latest Aurora 50.0a2 (2016-09-07)
- latest Nightly 51.0a1 (2016-09-07)
using Windows 10 x64.
Only with e10s on, the autoplay is not working and also, any video chosen from the "Videos You Should Watch", "Recommended For You", "Don't Miss These Videos", "Best of CNN Digital Videos", "CNN Style and Travel" sections is not loaded; after a page refresh or after a browser restart, the problem is temporarily resolved - changing the video section returns the problem.
Flags: needinfo?(andrei.vaida)
I don't know if its totally related but often when loading a video I see 
Transferring data from: social-login.cnn.com and the page never completes.

A reload seems to either bypass that url or something as the page will then load almost instantly.

Pasting that url into the address bar results in a '301' error.
Jim do you know anyone good with e10s related timing issues who could help here?
Flags: needinfo?(jmathies)
Actually, I'm not marking this as blocking 49 since the same issue is on 48. So stopping people from updating from 48 won't help here. We do have some time to get a patch into another RC since we are slipping the release date.
tracking-firefox49: --- → +
Tech evang is probably the right call for this bug, if the network was slow it would be perfectly reasonable for the load event of the image to take 500 ms.
Daniel, maybe you are still at CNN and could take a look or pass this on.
Karl, can you help find a contact for this? I am also emailing CNN's tech support general email.
Flags: needinfo?(kdubost)
Flags: needinfo?(daniel.wester)
Do we have more info on what to tell CNN at this point, beyond the following?

> it is something to do with the load event of the poster image
(In reply to Mike Taylor [:miketaylr] from comment #25)
> Do we have more info on what to tell CNN at this point, beyond the following?
> 
> > it is something to do with the load event of the poster image

That's all I've got. I got lost in the page js trying to figure out who observed that load event of the poster image.
OK, thanks Timothy -- just wanted to confirm. I have a long flight to Berlin tomorrow and digging around this code is on my TODO list.
Can you please try this again with a more recent Nightly? I tried it today 2016-09-12 with Nightly and cnn.com via STR and it works fine for me.
Flags: needinfo?(iulia.cristescu)
Today's Nightly still hangs on social-login.cnn.com , video never loads.

Comment 30

2 years ago
I can still reproduce the problem on 2016-Sep-12 Nightly with e10s enabled.

https://hg.mozilla.org/mozilla-central/rev/cfdb7af3af2e92e95f71ca2f1672bf5433beeb89
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0 ID:20160912030421
(Reporter)

Comment 31

2 years ago
(In reply to Naveed Ihsanullah [:naveed] from comment #28)
> Can you please try this again with a more recent Nightly? I tried it today
> 2016-09-12 with Nightly and cnn.com via STR and it works fine for me.

As Alice already confirmed, the issue is still reproducible with latest Nightly 51.0a1 (2016-09-12), with mentioned STR.
Flags: needinfo?(iulia.cristescu)
Unfortunately this doesn't reproduce from Germany (in Dev Edition or Nightly, w/ TP disabled). Will test again from the US on Friday.

Comment 34

2 years ago
On my end the problem only happens if the video is located at .../vidoes.  Other flash videos at cnn like at money.cnn.com play fine.  Videos here are not in .../videos.

Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0

Comment 35

2 years ago
(In reply to David Bolter [:davidb] from comment #21)
> Jim do you know anyone good with e10s related timing issues who could help
> here?

Not really, sounds like it's a dom events related issue of some sort. FWIW I can reproduce pretty easily in Nightly.
Flags: needinfo?(jmathies)
Trying to understand the status here. We are still in needsdiagnosis.

0. Using Firefox Nightly 52.0a1 (2016-09-22) (64-bit) with e10s on OSX 10.11.6 (15G1004) without Flash installed at all. No tracking protection on. Clean Profile.
1. Going to http://edition.cnn.com/videos
2. Video on the home page starts automatically without issues.
3. Click the second video in the caroussel, video starts and plays without issues.
4. Randomly clicking on a video down the page such as
   http://edition.cnn.com/videos/travel/2016/05/11/biggest-airplane-antonov-an-225-mriya-orig-nws.cnn?iid=ob_video_vr2
   It takes a bit of time, then the ads plays, then the video (just to be patient).

The player used is 
https://www.theoplayer.com/


```html
<div class="vjs-tech" id="Jj3Oj" preload="none" style="">
    <video preload="metadata" id="player-container_FF41CA0E-1026-20C2-590A-FA1C2C7A7411_0Qb" style="height: 100%; width: 100%;" class="theo-player" src="blob:http://edition.cnn.com/64cfaa3f-2ee6-c84e-932d-b959198aaa0b"></video>
    <div class="theoplayer-overlay-element-container">
        <video class="theoplayer-overlay-element" style="display: none;"></video>
    </div>
    <div style="position: absolute; top: 0px; bottom: 0px; right: 0px; left: 0px; overflow: scroll; z-index: -1; visibility: hidden;">
        <div style="position: absolute; top: 0px; bottom: 0px; right: 0px; left: 0px; overflow: scroll; z-index: -1; visibility: hidden;">
            <div style="position: absolute; top: 0px; left: 0px; width: 790px; height: 449px;"></div>
        </div>
        <div style="position: absolute; top: 0px; bottom: 0px; right: 0px; left: 0px; overflow: scroll; z-index: -1; visibility: hidden;">
            <div style="position: absolute; top: 0px; left: 0px; width: 200%; height: 200%;"></div>
        </div>
    </div>
    <div class="theoplayer-overlay-element-container">
        <video class="theoplayer-overlay-element" style="display: none;"></video>
    </div>
</div>
```

transitions are definitely not smoothed, with a **lot** of trackers and HTTP requests. I see some requests to HLS files too. Some videos are stalling sometimes without specific reasons, except waiting on trackers to react.

Like for example now the carousel is sending videos in chunks


For example a click on thumbnail starts the initialization process:

          11:52:08.747 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/master.m3u8 [HTTP/1.1 200 OK 7933ms]
11:52:16.157 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_0_av.m3u8 [HTTP/1.1 200 OK 1730ms]
11:52:16.174 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_en_sbtl.m3u8 [HTTP/1.1 200 OK 1717ms]
11:52:17.926 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment1_0_av.ts [HTTP/1.1 200 OK 2780ms]
11:52:17.980 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment1_en_sbtl.webvtt [HTTP/1.1 200 OK 2781ms]
11:52:20.785 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/master.m3u8 [HTTP/1.1 200 OK 1753ms]
11:52:21.048 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment2_en_sbtl.webvtt [HTTP/1.1 200 OK 5029ms]
11:52:22.576 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_0_av.m3u8 [HTTP/1.1 200 OK 1584ms]
11:52:22.622 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_en_sbtl.m3u8 [HTTP/1.1 200 OK 3774ms]
11:52:24.194 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment1_0_av.ts [HTTP/1.1 200 OK 13211ms]
11:52:25.498 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment1_en_sbtl.webvtt [HTTP/1.1 200 OK 1684ms]
11:52:27.217 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment2_en_sbtl.webvtt [HTTP/1.1 200 OK 1539ms]
11:52:37.431 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment2_0_av.ts [HTTP/1.1 200 OK 14906ms]


THEN the video starts. 30 seconds after. And the next batch of download.

11:52:52.434 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment3_0_av.ts [HTTP/1.1 200 OK 17111ms]
11:53:09.565 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment4_0_av.ts [HTTP/1.1 200 OK 14858ms]
11:53:24.548 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment5_0_av.ts [HTTP/1.1 200 OK 6859ms]
11:53:31.438 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment6_0_av.ts [HTTP/1.1 200 OK 789ms]
11:53:32.250 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_4_av.m3u8 [HTTP/1.1 200 OK 57ms]
11:53:32.365 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_4_av.m3u8 [HTTP/1.1 200 OK 48ms]
11:53:32.383 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment4_4_av.ts [HTTP/1.1 200 OK 2332ms]
11:53:34.734 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment5_4_av.ts [HTTP/1.1 200 OK 8076ms]
11:53:42.869 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment4_4_av.ts [HTTP/1.1 200 OK 901ms]
11:53:43.782 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment6_4_av.ts [HTTP/1.1 200 OK 16735ms]
11:54:00.569 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_0_av.m3u8 [HTTP/1.1 200 OK 179ms]
11:54:00.814 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/index_0_av.m3u8 [HTTP/1.1 200 OK 92ms]
11:54:00.814 GET 
XHR 
http://cnnios-f.akamaihd.net/i/cnn/big/entertainment/2016/09/19/emmy-awards-julia-louis-dreyfus-sara-paulson-jnd-orig-vstan.abc-television-academy_783902_ios_,150,440,650,840,1240,3000,5500,.mp4.csmil/segment7_0_av.ts [HTTP/1.1 200 OK 1401ms]

BUT THEN the video is stucked. After retrying it, it worked. So sometimes it gets stopped.

The pause/play combination is also a recipe for getting the video stalled.
Flags: needinfo?(kdubost)
Comment #11 suggests the issue as reported is about video autoplay on page load (which doesn't reproduce for me here in Portugal, in any browser w/ new profiles, FWIW).
So, Dennis (Germany), Adam (Canada) and I (USA) just tried to reproduce and none of us can. Adam also VPN'd to Romania. Ways we've tested this:

w/ Flash always enabled
w/ Flash ask to activate
w/o Flash even installed on system
In a private tab w/ tracking protection off

STR: 

0) make sure e10s is enabled
1) go to http://edition.cnn.com/videos
2) wait for video to autoplay

For Dennis and myself, we get a localized ad, then an autplay video about Chinese telescopes. Adam just gets the video without an ad.

Iulia, does this still repro for you? Not sure it's worth tracking at this point.
Flags: needinfo?(iulia.cristescu)
Still does not play here, in the US, with latest Nightly build win32, e10s enabled, and tracking protection enabled.

Using on win10 x64

New Profile does not make any difference, video never starts and hangs waiting for 'social-login.cnn.com'
> Still does not play here, in the US, with latest Nightly build win32, e10s enabled, and tracking protection enabled.

So, tracking protection is not a default configuration we ship with (currently, anyways). liz, I don't think we should track due to TP bustage. WDYT?
Flags: needinfo?(lhenry)
(Also, as reported, it doesn't seem like TP is related. But as reported, I can't get it to reproduce anymore.)
I wasn't using tracking protection when I was able to reproduce.

I tried to reproduce on current nightly, and nightly from back when I could reproduce, but I couldn't reproduce now. I'm guessing cnn changed their site.
Flags: needinfo?(tnikkel)
(Reporter)

Comment 43

2 years ago
(In reply to Mike Taylor [:miketaylr] from comment #38)
> So, Dennis (Germany), Adam (Canada) and I (USA) just tried to reproduce and
> none of us can. Adam also VPN'd to Romania. Ways we've tested this:
> 
> w/ Flash always enabled
> w/ Flash ask to activate
> w/o Flash even installed on system
> In a private tab w/ tracking protection off
> 
> STR: 
> 
> 0) make sure e10s is enabled
> 1) go to http://edition.cnn.com/videos
> 2) wait for video to autoplay
> 
> For Dennis and myself, we get a localized ad, then an autplay video about
> Chinese telescopes. Adam just gets the video without an ad.
> 
> Iulia, does this still repro for you? Not sure it's worth tracking at this
> point.

I investigated this issue on Windows 10 x64, Ubuntu 14.04 x86 and Mac OS X 10.11, using latest Nightly 52.0a1 (2016-09-26), latest Aurora 51.0a2 (2016-09-26), 50.0b2 (20160926162149) and 49.0.1 build3 (20160922113459), with a clean profile, Shockwave Flash installed and set on `Always Activate` and  with e10s on. I encountered the same issues as I mentioned in comment 19 and comment 0, but with some differences: 
- after opening the site, the autoplay is not working and also randomly chosen videos are not playing - these are intermittent (if they are not observed from the 1st try, they occur after spending some time on the site and switching videos)
- after reload / restart, the problem is resolved, but just temporarily - untill a video from another section is chosen
- changing again the section may resolve the situation, but still temporarily
Flags: needinfo?(iulia.cristescu)
Thanks tnikkel and Iulia for checking again. Sort of at a loss on how to proceed with debugging given that it doesn't reproduce for anyone on my team. It also makes it hard to approach CNN without concrete steps to reproduce.
ok finally this morning I have something which is not working. On this video:
http://edition.cnn.com/videos/politics/2016/09/27/donald-trump-microphone-first-presidential-debate-sot.cnn/video/playlists/2016-debates-the-morning-after

It doesn't auto-start
And when I click the play button it doesn't start either.


Console log before pushing the play button (no more log after),

```
06:55:21.838 Content Security Policy: Directive ‘frame-src’ has been deprecated. Please use directive ‘child-src’ instead.  (unknown)
06:55:23.876 TypeError: CNN.VideoPlayer.SimpleEmbedCodeCopy is not a constructor
Stack trace:
embedCodeCopy@http://edition.cnn.com/videos/politics/2016/09/27/donald-trump-microphone-first-presidential-debate-sot.cnn/video/playlists/2016-debates-the-morning-after:1:6333
.Deferred/i.then/</</<@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:24020
ge.Callbacks/l@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:22686
ge.Callbacks/u.fireWith@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:23460
.Deferred/</r[o[0]]@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:24435
CNN.INJECTOR.scriptComplete@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:29:24497
@http://edition.i.cdn.cnn.com/.a/bundles/video.74ab3073088320e59597.bundle.js?version=latest&client=expansion:1:1566
.Deferred/i.then/</</<@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:24020
ge.Callbacks/l@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:22686
ge.Callbacks/u.add@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:22993
.Deferred/i.then/</<@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:23992
.each@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:14:17258
Jh/a.each@http://cdn.optimizely.com/js/128727546.js:218:655
.Deferred/i.then/<@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:23936
.Deferred@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:24527
.Deferred/i.then@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:23912
@http://edition.i.cdn.cnn.com/.a/bundles/video.74ab3073088320e59597.bundle.js?version=latest&client=expansion:1:293
.Deferred/i.then/</</<@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:24020
ge.Callbacks/l@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:22686
ge.Callbacks/u.fireWith@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:23460
.Deferred/</r[o[0]]@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:24:24435
CNN.INJECTOR.scriptComplete@http://edition.i.cdn.cnn.com/.a/bundles/cnn-header.46ece503754b7749b233-first-bundle.js:29:24497
@http://edition.i.cdn.cnn.com/.a/bundles/cvploader.cef07b66971dfb9d26ca.bundle.js:1:317
t@http://edition.i.cdn.cnn.com/.a/bundles/cvploader.cef07b66971dfb9d26ca.bundle.js:1:102
@http://edition.i.cdn.cnn.com/.a/bundles/cvploader.cef07b66971dfb9d26ca.bundle.js:1:194
@http://edition.i.cdn.cnn.com/.a/bundles/cvploader.cef07b66971dfb9d26ca.bundle.js:1:2
  2016-debates-the-morning-after:1:6461
06:55:25.782 RP: slot has no sizes, skipping: ad_mod_85a882a72  11016.js:2:24222
	[11]</i/b.run http://ads.rubiconproject.com/header/11016.js:2:24222
	[17]</f/a.execute http://ads.rubiconproject.com/header/11016.js:3:17232
	[17]</f.run http://ads.rubiconproject.com/header/11016.js:3:17370
	[12]</n/c.run http://ads.rubiconproject.com/header/11016.js:3:474
	[16]</g</a.run http://ads.rubiconproject.com/header/11016.js:3:15365
	l/< http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:2:870
	[6]</d</a.push http://ads.rubiconproject.com/header/11016.js:2:8435
	l http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:1:30477
	AdFuel</ae/e.push/i</< http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:4:5350
	async.parallelWithTimeout/r</< http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:3:17646
	x/< http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:3:7559
	R.eachOf http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:3:10840
	x http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:3:7539
	R.parallel http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:3:14233
	async.parallelWithTimeout http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:3:17882
	AdFuel</ae/e.push http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:4:5388
	U http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:4:2637
	B http://edition.i.cdn.cnn.com/.a/1.299.1/js/cnn-header-second.min.js:4:3268
	<anonymous> http://z.cdn.turner.com/ads/cnni/singles/cnni_entitlement_01.js:2:1
06:55:26.744 preQueue timeout occurred - Fastlane  cnn-header-second.min.js:3:17776
06:55:26.745 [AdFuel - WARNING] error calling preQueueCallbacks for registered modules async.parallel timed out out after 1000ms.  cnn-header-second.min.js:3:21042
06:55:26.781 preQueue timeout occurred - Fastlane  cnn-header-second.min.js:3:17776
06:55:26.782 [AdFuel - WARNING] error calling preQueueCallbacks for registered modules async.parallel timed out out after 1000ms.  cnn-header-second.min.js:3:21042
06:55:28.074 postQueue timeout occurred - Proximic  cnn-header-second.min.js:3:17776
06:55:28.074 [AdFuel - WARNING] error calling postQueueCallbacks for registered modules async.parallel timed out out after 1000ms.  cnn-header-second.min.js:3:21042
06:55:28.092 [AdFuel - WARNING] Unable to retrieve location cookie null  cnn-header-second.min.js:3:21042
06:55:28.104 postQueue timeout occurred - Proximic  cnn-header-second.min.js:3:17776
06:55:28.104 [AdFuel - WARNING] error calling postQueueCallbacks for registered modules async.parallel timed out out after 1000ms.  cnn-header-second.min.js:3:21042
06:55:30.327 preDispatch timeout occurred - amazon  cnn-header-second.min.js:3:17776
06:55:30.327 [AdFuel - WARNING] error calling preDispatchCallbacks for registered modules async.parallel timed out out after 1000ms.  cnn-header-second.min.js:3:21042
06:55:39.768  [  0.003s] [studio.sdk]   Enabler.js:115:144
06:55:41.396  [  1.631s] [studio.sdk] Using default ad parameters in test environment. Simulating local events.  Enabler.js:115:144
06:55:44.037 >FW 55:44 FreeWheel Integration Runtime js-6.1.0-r10810-201505040406  AdManager.js:2:39
06:55:44.040 >FW 55:44 Device: Desktop PLATFORM_IS_SAFARI: false  AdManager.js:2:39

```

Comment 46

2 years ago
I'm running the latest inbound and I no longer have the problem as stated in this report.  Some other patch must have 'fixed' the issue.

Comment 47

2 years ago
Perhaps things are working now due to a change by CNN?
> Perhaps things are working now due to a change by CNN?

Possibly. Or possibly there are a few bad ads that screw this up. That would explain why it appears intermittently and in some locales and not others.

Comment 49

2 years ago
I disabled my adblocker which is uBlocko. the latest beta version. and the problem came back.  Enabled uBlocko again and the video played.  With prior versions of uBlocko videos wouldn't play.  So it might be the new beta version I'm on or perhaps even a new ad filter or two that 'fixed' things for me.

Comment 50

2 years ago
The beta version of uBlocko has a couple of fixes that affect Firefox.  Perhaps these are helping to fix the problem.  Here's a link to them:  https://github.com/gorhill/uBlock/releases/tag/1.9.11rc1

Comment 51

2 years ago
Seems I have two problems.  Videos like the one at http://www.cnn.com/videos/weather/2016/09/27/nccorig-weather-typhoon-megi-landfall.cnn which weren't playing before now are.  However, videos at http://edition.cnn.com/videos still hang unless I refresh the page.

Comment 52

2 years ago
I was wrong about videos not playing at http://edition.cnn.com/videos.  They do play after about 5 seconds or so.

Comment 53

2 years ago
(In reply to Gary [:streetwolf] from comment #52)
> I was wrong about videos not playing at http://edition.cnn.com/videos.  They
> do play after about 5 seconds or so.

So are these videos working for you? I was able to reproduce a week ago, but can't in current nightly (52.0a1 (2016-09-28) (32-bit).

Comment 54

2 years ago
(In reply to Jim Mathies [:jimm] from comment #53)
> (In reply to Gary [:streetwolf] from comment #52)
> > I was wrong about videos not playing at http://edition.cnn.com/videos.  They
> > do play after about 5 seconds or so.
> 
> So are these videos working for you? I was able to reproduce a week ago, but
> can't in current nightly (52.0a1 (2016-09-28) (32-bit).

In safe mode the example video at http://www.cnn.com/videos/weather/2016/09/27/nccorig-weather-typhoon-megi-landfall.cnn would not play right away unless I did an F5 refresh. Videos at http://edition.cnn.com/videos did play but a crash dump was produced in the background. Back in normal mode the videos at http://edition.cnn.com/videos also played and I didn't get a crash dump. The other video also plays fine.

I'm leaning towards some type of ad or some other thing that uBlocko is blocking as being responsible for all videos working as they should at CNN. Of course this is really just a serendipitous workaround. Obviously one shouldn't need an ad blocker to get the videos to work correctly I would think.

I have a discussion over at http://forums.mozillazine.org/viewtopic.php?f=23&t=3024111 you might want to peruse.

Comment 55

2 years ago
Btw... I'm on 64-bit Fx52.
Still 100% reproducible here:

Clean un-altered Profile
download/install build from here:
http://ftp.mozilla.org/pub/firefox/tinderbox-builds/mozilla-central-win32/1475071109/
cset: b1d60f2f68c7cccc96fcf9a2075bb430a500a0f2

Visit cnn.com main page
Select any video from front page, loading occurs indefinitely.

Open browser Console and note tons of errors...

Running Win10 Anniversary Update x64 OS

Comment 57

2 years ago
Just to reiterate, without uBlocko enabled I get the same errors.  With uBlocko enabled the videos play fine.  Something that uBlocko is doing appears to be 'fixing' the problem for me.
Sounds very much like this is some specific ad. That would also explain why the videos play when the page is reloaded. If we have a specific example of an ad that makes the page fail, that might help CNN to figure out what the bad ads are, or it may be something we can defend against in Firefox, but I agree with Mike that we don't need to track this for 49.
status-firefox49: affected → wontfix
Flags: needinfo?(lhenry)

Comment 59

2 years ago
I started having this same problem a few days ago.  The tab spinner will spin forever unless I refresh the page, then the video will play.

Comment 60

2 years ago
I can still reproduce the problem on Nightly52.0a1[1].

[1]
https://hg.mozilla.org/mozilla-central/rev/60dd82380d43a2b681f50842238f829204486290
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0 ID:20161023030206


Setting permissions.default.image = 2 seems to fix the video loading problem.

So, Again(comment#2), I think the problem is related to around the ImageLib.
Too late to fix in 50.1.0 release
status-firefox50: affected → wontfix
This has missed the boat for 51 at this point too. Milan, can you please help find an owner for this?
status-firefox51: affected → wontfix
status-firefox52: --- → affected
status-firefox53: --- → affected
status-firefox54: --- → affected
Flags: needinfo?(milan)
Speculatively moving to Core::ImageLib...
Component: Desktop → ImageLib
Product: Tech Evangelism → Core
Whiteboard: [needsdiagnosis]
Version: Firefox 42 → 42 Branch
Why's that? Any new evidence?
Based on Comment #60 and milan getting needinfo'd. ^__^

(I still can't reproduce, so admittedly I'm not much help here)
I am no longer able to repo this issue with latest m-c win32 Nightly build on win10 x64.

Further I've not seen this issue since probably sometime around late December 2016, early January 2017.
This really should be tech evangelism (see comment 16 and later.)  The site is (was) counting on image size decoding being fast.  There are no guarantees for that.
Flags: needinfo?(seth.bugzilla)
Flags: needinfo?(milan)
Flags: needinfo?(aosmond)
OK. Let's move it back. If anyone can still reproduce, please chime in, otherwise we should just close as INCOMPLETE.
Component: ImageLib → Desktop
Product: Core → Tech Evangelism
Version: 42 Branch → Firefox 42
status-firefox52: affected → wontfix
status-firefox53: affected → fix-optional
status-firefox54: affected → fix-optional
status-firefox55: --- → fix-optional
status-firefox-esr52: --- → fix-optional
(In reply to Mike Taylor [:miketaylr] (PTO March 9 - 14) from comment #68)
> OK. Let's move it back. If anyone can still reproduce, please chime in,
> otherwise we should just close as INCOMPLETE.

Great idea, Mike.
Status: NEW → RESOLVED
Last Resolved: 4 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.